{
  "name": "frontblock-admin",
  "description": "Dynamic configurator for frontblock",
  "version": "1.0.0",
  "scripts": {
    "tsc": "tsc",
    "start": "npm run build; node dist/FrontblockAdmin.js",
    "build": "npm run clean; npm run build-backend; npm run build-frontend",
    "build-backend": "tsc; npm run webpack",
    "build-frontend": "npm run build-dashboard; cp node_modules/rpclibrary/js/browser/rpclibrary.browser.js ./dist/static/FrontblockLib.js",
    "build-dashboard": "cd src/frontend; npm i && npm run build; mkdir ../../dist/static; cp -r dist/* ../../dist/static",
    "clean": "rm -rf lib static plugins conf dist widget .rpt2_cache *.js *.ts src/frontend/dist data",
    "update-frontblock": "npm remove frontblock frontblock-generic; npm install frontblock-generic@latest frontblock@latest",
    "webpack": "webpack  --config src/backend/webpack.prod.js --progress --colors"
  },
  "repository": {
    "type": "git",
    "url": "http://gitea.frontblock.me/fb-vendor/admin"
  },
  "author": "frontblock.me",
  "license": "ISC",
  "dependencies": {
    "bsert": "0.0.10",
    "bsock": "^0.1.9",
    "child-process-promise": "^2.2.1",
    "debug": "^4.1.1",
    "express": "^4.16.4",
    "frontblock": "^0.15.2",
    "frontblock-generic": "^0.34.8",
    "git-cherrypicker": "0.0.3",
    "git-describe": "^4.0.4",
    "http": "0.0.0",
    "knex": "^0.19.2",
    "loadson": "^1.0.0",
    "log4js": "^4.5.1",
    "lowdb": "^1.0.0",
    "node-fetch": "^2.6.0",
    "path": "^0.12.7",
    "rimraf": "^3.0.0",
    "rpclibrary": "^1.3.17",
    "simple-git": "^1.124.0",
    "spawn-sync": "^2.0.0",
    "sqlite3": "^4.1.0",
    "trash": "^6.0.0",
    "upgiter": "^1.0.4",
    "uuid": "^3.3.3"
  },
  "devDependencies": {
    "@types/express": "^4.17.0",
    "@types/node": "^11.13.19",
    "@types/semver": "^6.0.1",
    "terser-webpack-plugin": "^1.4.1",
    "ts-loader": "^5.3.3",
    "typescript": "^3.5.3",
    "webpack": "^4.39.2",
    "webpack-cli": "^3.3.5"
  },
  "files": [
    "lib/**/*"
  ],
  "main": "index.js",
  "directories": {
    "lib": "lib",
    "test": "test"
  },
  "keywords": []
}
